package model

import (
	"gorm.io/gorm"
)

//考核 用户模型
type ExhExam struct {
	gorm.Model
	ID         uint   `gorm:"not null"`
	UserId     uint   `gorm:"default:0"`
	Title      string `gorm:"type:varchar(64) default ''"`
	Class      string `gorm:"type:varchar(25) default ''"`
	TitleScore uint   `gorm:"default:0"`
	Score      string `gorm:"type:varchar(1024) default ''"`
	State      string `gorm:"type:varchar(25) default ''"`
	Remark     string `gorm:"type:varchar(1024) default ''" json:"remark"`
	Remark2    string `gorm:"type:varchar(1024) default ''" json:"remark2"`

	Enable bool `gorm:"default:0"`
}
